#ifndef WYSW3CY1SW_H_
#define WYSW3CY1SW_H_

//stale wyswietlacza
//	PORTD5 A1  PORTD3 A2  PORTD4 A3
//anody wlaczenie jako stan 1
#define LedOnA1 PORTD |= (1<<PD5) //zalaczenie anody A1
#define LedOnA2 PORTD |= (1<<PD3) //zalaczenie anody A2
#define LedOnA3 PORTD |= (1<<PD4) //zalaczenie anody A3
//anody wlaczenie portu jako wyjscie
#define LedOnDDRA1 DDRD |= (1<<PD5) //zalaczenie anody A1
#define LedOnDDRA2 DDRD |= (1<<PD3) //zalaczenie anody A2
#define LedOnDDRA3 DDRD |= (1<<PD4) //zalaczenie anody A3
//wylaczenie wszystkich anod stan 0
#define LedOffAnody PORTD &= ~((1<<PD5) | (1<<PD3) | (1<<PD4))
//wylaczenie wszystkich anod poprzez ustawienie wysokiej impedancji (port jako wejscie)
#define LedOffDDRAnody DDRD &= ~((1<<PD5) | (1<<PD3) | (1<<PD4))

//zmienna bitowa do ledow i przycisku
/**
extern struct {
	uint8_t led1:1;
	uint8_t led2:1;
	uint8_t led3:1;
	uint8_t sw:1;
} bityA;
**/


extern volatile byte wyswb0;
extern volatile byte wyswb1;
extern volatile byte wyswb2;
extern volatile byte etimer4;

void odwysw (void);

#endif
